Get
[POST] .../v1/translation/get
Returns translated variables for a language. Load the full translation variable list for a language, usually for client-side localization cache refreshes. Anonymous access is allowed; provide a language_code filter, which is normalized to uppercase. Returns a Translation array for the selected language. Missing body or language_code, unknown language codes and translation loading failures return HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| language_code | string | Language code used to load translations. The API normally expects a three-letter code such as RUS or ENG. |
Request Example
{
"filters": [
{
"Field": "language_code",
"Operator": "Equal",
"Value": "ENG"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of Translation | Result object. |
Response Example
{
"ok": true,
"result": [
{
"variable": "DASHBOARD",
"variable_value": "DASHBOARD",
"value": "Dashboard",
"translate_value": "Dashboard"
},
{
"variable": "WIDGETS",
"variable_value": "WIDGETS",
"value": "Widgets",
"translate_value": "Widgets"
}
]
}